/* plot, unix plot file to graphics device translators.
   Copyright (C) 1989, 2000 Free Software Foundation, Inc.

   plot is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY.  No author or distributor accepts responsibility to
   anyone for the consequences of using it or for whether it serves any
   particular purpose or works at all, unless he says so in writing.
   Refer to the GNU General Public License for full details.
   
   Everyone is granted permission to copy, modify and redistribute plot,
   but only under the conditions described in the GNU General Public
   License.  A copy of this license is supposed to have been given to you
   along with plot so you can know your rights and responsibilities.  It
   should be in a file named COPYING.  Among other things, the copyright
   notice and this notice must be preserved on all copies.  */


/* DEVNAME takes a string argument S containing the name of the
   desired device to convert to. The devices are fig and grn. */

#include <stdio.h>
#ifdef sequent
#include <strings.h>
#else
#include <string.h>
#endif
#include "libplot.h"
#include "extern.h"

/*dev_name = FIG;*/ /* the default device name */

int
devname (s)
    char *s;
{
  char *res;

  res = (char *) re_comp (s);
  if (res)
    {
      fprintf (stderr, "error in matching device name: %s\n", res);
      fprintf (stderr, "Device name `%s' ignored.\n", s);
      return 0;
    }

  if (re_exec("fig"))
    dev_name = FIG;
  else if (re_exec("gremlin"))
    dev_name = GRN;
  else
    fprintf (stderr, "Unrecognized device name `%s' ignored.\n", s);

  return 0;
}
